Method: partners.subscriptions.lineItems.patch

Updates a line item of a subscription. It should be authenticated with a service account.

HTTP request

PATCH https://paymentsresellersubscription.googleapis.com/v1/{lineItem.name=partners/*/subscriptions/*/lineItems/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
lineItem.name

string

Identifier. Resource name of the line item. Format: partners/{partner}/subscriptions/{subscription}/lineItems/{lineItem}

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The list of fields to update.

Only a limited set of fields can be updated. The allowed fields are the following:

  • productPayload.googleHomePayload.googleStructureId

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

requestId

string

Optional. An idempotency ID for the request. A random UUID is recommended. Restricted to 36 ASCII characters.

Request body

The request body contains an instance of LineItem.

Response body

If successful, the response body contains an instance of LineItem.